local addonName, addonTable = ...

local AtlasLoot = _G.AtlasLoot
local data = AtlasLoot.ItemDB:Add(addonName)

local RACIAL_DIFF = data:AddDifficulty("Racials")
local DK_DIFF = data:AddDifficulty("Death Knight")
local DRUID_DIFF = data:AddDifficulty("Druid")
local HUNTER_DIFF = data:AddDifficulty("Hunter")
local MAGE_DIFF = data:AddDifficulty("Mage")
local MONK_DIFF = data:AddDifficulty("Monk")
local PALADIN_DIFF = data:AddDifficulty("Paladin")
local PRIEST_DIFF = data:AddDifficulty("Priest")
local ROGUE_DIFF = data:AddDifficulty("Rogue")
local SHAMAN_DIFF = data:AddDifficulty("Shaman")
local WARLOCK_DIFF = data:AddDifficulty("Warlock")
local WARRIOR_DIFF = data:AddDifficulty("Warrior")


local SPELL_ITTYPE = data:AddItemTableType("ClassesSpell")

local CLASSES_CONTENT = data:AddContentType("Classes", {0.0, 0.0, 0.0, 1})
local RACIAL_CONTENT = data:AddContentType("Races", {0.0, 0.0, 0.0, 1})

local MASTERY = "|cFF1144FFMastery"
local EMPOWERED = "|cFF11FF44Empowered"
local function colorstr(class) return "|c"..RAID_CLASS_COLORS[class].colorStr end

local FACTION_INFO_IS_SET_ID = 998
local IGNORE_THIS_BUTTON_ID = 999

data["CLASS_DK"] = {
	name = "Death Knight",
	ContentType = CLASSES_CONTENT,
	TableType = SPELL_ITTYPE,
	items = {
		{
			name = "Blood",
			CoinTexture = "texture:Interface\\Icons\\spell_deathknight_bloodpresence",
			[DK_DIFF] = {
				{ 1, { id = 82246, level = 1 }, },
				{ 2, { id = 161608, level = 10 }, },
				{ 3, { id = 81136, level = 10 }, },
				{ 4, { id = 158298, level = 10 }, },
				{ 5, { id = 50842, level = 55 }, },
				{ 6, { id = 50034, level = 55 }, },
				{ 7, { id = 47541, level = 55 }, },
				{ 8, { id = 50977, level = 55 }, },
				{ 9, { id = 49576, level = 55 }, },
				{ 10, { id = 48266, level = 55 }, },
				{ 11, { id = 45477, level = 55 }, },
				{ 12, { id = 45462, level = 55 }, },
				{ 13, { id = 53428, level = 55 }, },
				{ 14, { id = 50029, level = 55 }, },
				{ 15, { id = 49998, level = 56 }, },
				{ 16, { id = 48263, level = 57 }, },
				{ 17, { id = 47528, level = 57 }, },
				{ 18, { id = 45524, level = 58 }, },
				{ 19, { id = 56222, level = 58 }, },
				{ 20, { id = 47476, level = 58 }, },
				{ 21, { id = 178819, level = 60 }, },
				{ 22, { id = 43265, level = 60 }, },
				{ 23, { id = 51986, level = 61 }, },
				{ 24, { id = 48792, level = 62 }, },
				{ 25, { id = 50371, level = 64 }, },
				{ 26, { id = 48982, level = 64 }, },
				{ 27, { id = 48265, level = 64 }, },
				{ 28, { id = 57330, level = 65 }, },
				{ 29, { id = 3714, level = 66 }, },
				{ 30, { id = 48707, level = 68 }, },
				{ 101, { id = 111673, level = 69 }, },
				{ 102, { id = 81164, level = 70 }, },
				{ 103, { id = 61999, level = 72 }, },
				{ 104, { id = 81127, level = 72 }, },
				{ 105, { id = 49028, level = 74 }, },
				{ 106, { id = 47568, level = 76 }, },
				{ 107, { id = 161797, level = 76 }, },
				{ 108, { id = 55233, level = 76 }, },
				{ 109, { id = 49222, level = 78 }, },
				{ 110, { id = 42650, level = 80 }, },
				{ 111, { id = 77513, level = 80, rank = MASTERY }, },
				{ 112, { id = 155522, level = 80 }, },
				{ 113, { id = 77575, level = 81 }, },
				{ 114, { id = 77606, level = 85 }, },
				{ 115, { id = 130736, level = 87 }, },
				{ 116, { id = 114866, level = 87 }, },
				{ 117, { id = 165394, level = 90 }, },
				{ 118, { id = 157338, level = "92+", rank = EMPOWERED }, },
				{ 119, { id = 157343, level = "92+", rank = EMPOWERED }, },
				{ 120, { id = 157337, level = "92+", rank = EMPOWERED }, },
				{ 121, { id = 157336, level = "92+", rank = EMPOWERED }, },
			},
		},
		{
			name = "Frost",
			CoinTexture = "texture:Interface\\Icons\\spell_deathknight_frostpresence",
			[DK_DIFF] = {
				{ 1, { id = 674, level = "1" }, },
				{ 2, { id = 82246, level = "1" }, },
				{ 3, { id = 59057, level = "10" }, },
				{ 4, { id = 50842, level = "55" }, },
				{ 5, { id = 54637, level = "55" }, },
				{ 6, { id = 47541, level = "55" }, },
				{ 7, { id = 50977, level = "55" }, },
				{ 8, { id = 49576, level = "55" }, },
				{ 9, { id = 48266, level = "55" }, },
				{ 10, { id = 49143, level = "55" }, },
				{ 11, { id = 49184, level = "55" }, },
				{ 12, { id = 50887, level = "55" }, },
				{ 13, { id = 45477, level = "55" }, },
				{ 14, { id = 45462, level = "55" }, },
				{ 15, { id = 53428, level = "55" }, },
				{ 16, { id = 49998, level = "56" }, },
				{ 17, { id = 48263, level = "57" }, },
				{ 18, { id = 47528, level = "57" }, },
				{ 19, { id = 45524, level = "58" }, },
				{ 20, { id = 49020, level = "58" }, },
				{ 21, { id = 47476, level = "58" }, },
				{ 22, { id = 178819, level = "60" }, },
				{ 23, { id = 43265, level = "60" }, },
				{ 24, { id = 55610, level = "60" }, },
				{ 25, { id = 51986, level = "61" }, },
				{ 26, { id = 48792, level = "62" }, },
				{ 27, { id = 51128, level = "63" }, },
				{ 28, { id = 48265, level = "64" }, },
				{ 29, { id = 57330, level = "65" }, },
				{ 30, { id = 50385, level = "65" }, },
				{ 101, { id = 3714, level = "66" }, },
				{ 102, { id = 48707, level = "68" }, },
				{ 103, { id = 51271, level = "68" }, },
				{ 104, { id = 111673, level = "69" }, },
				{ 105, { id = 61999, level = "72" }, },
				{ 106, { id = 81333, level = "74" }, },
				{ 107, { id = 66192, level = "74" }, },
				{ 108, { id = 47568, level = "76" }, },
				{ 109, { id = 42650, level = "80" }, },
				{ 110, { id = 77514, level = "80", rank = MASTERY }, },
				{ 111, { id = 77575, level = "81" }, },
				{ 112, { id = 77606, level = "85" }, },
				{ 113, { id = 130736, level = "87" }, },
				{ 114, { id = 130735, level = "87" }, },
				{ 115, { id = 157409, level = "92+", rank = EMPOWERED }, },
				{ 116, { id = 157389, level = "92+", rank = EMPOWERED }, },
				{ 117, { id = 157367, level = "92+", rank = EMPOWERED }, },
				{ 118, { id = 157376, level = "92+", rank = EMPOWERED }, },
			},
		},
	},
}

data["RACIALS"] = {
	name = "Racial Abilities",
	ContentType = RACIAL_CONTENT,
	TableType = SPELL_ITTYPE,
	items = {
		{
			name = "Blood Elf",
			CoinTexture = "texture:Interface\\Icons\\inv_mask_04",
			[RACIAL_DIFF] = {
				{ 1, 154742 },
				{ 2, 28877 },
				{ 3, 822 },
				{ 4, 28730 },
				{ 5, { id = 50613, rank = colorstr("DEATHKNIGHT").."Death Knight" }, },
				{ 6, { id = 80483, rank = colorstr("HUNTER").."Hunter" }, },
				{ 7, { id = 129597, rank = colorstr("MONK").."Monk" }, },
				{ 8, { id = 155145, rank = colorstr("PALADIN").."Paladin" }, },
				{ 9, { id = 25046, rank = colorstr("ROGUE").."Rogue" }, },
				{ 10, { id = 69179, rank = colorstr("WARRIOR").."Warrior" }, },
			},
		},
		{
			name = "Goblin",
			CoinTexture = "texture:Interface\\Icons\\inv_mask_10",
			[RACIAL_DIFF] = {
				{ 1, 69044 },
				{ 2, 69045 },
				{ 3, 69046 },
				{ 4, 69041 },
				{ 5, 69070 },
				{ 6, 69042 },
			},
		},
	},
}

function cmdebug()
  local i=1
  while 1 do
    local skillType, spellId = GetSpellBookItemInfo(i, BOOKTYPE_SPELL)
    local spellName, spellSubName = GetSpellBookItemName(i, BOOKTYPE_SPELL)
    local spellLevel = GetSpellAvailableLevel(i, BOOKTYPE_SPELL)
    if not spellName then break end
    print("{ , { id = "..spellId..", level = "..spellLevel..", name = \""..spellName.."\" }, },")

    i=i+1
  end
end
function cmdebug2(arg)
  print("|T"..arg..":16|t")
end






